Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyotocabinet::ScopedRWLock Class Reference

Scoped reader-writer locking device. More...

`#include <kcthread.h>`

List of all members.

## Public Member Functions
| ScopedRWLock (RWLock *rwlock, bool writer)
| Constructor.
| ~ScopedRWLock ()
| Destructor.

## Detailed Description

Scoped reader-writer locking device.

## Constructor & Destructor Documentation

kyotocabinet::ScopedRWLock::ScopedRWLock | ( | RWLock * | rwlock,
|  | bool | writer
| ) |  | `[explicit]`

Constructor.

Parameters:

  rwlock | a rwlock to lock the block.
  writer | true for writer lock, or false for reader lock.

kyotocabinet::ScopedRWLock::~ScopedRWLock | ( |  | ) |

Destructor.